directory-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ike Ikonne <iiko...@us.ibm.com>
Subject Re: Unable to start ApacheDS 2.0.0-M20
Date Mon, 01 Jun 2015 13:22:47 GMT
Hi,

I ran into a similar  issue last weekend and it turned out that it was 
requiring
me to upgrade my JRE to at least 1.7.* . Please try upgrading your JRE to 
1.7.*
, it might resolve it.

Thanks,

Ike



From:   Sunil Kalahasti <kvsunil@hotmail.com>
To:     "users@directory.apache.org" <users@directory.apache.org>
Date:   06/01/2015 12:45 AM
Subject:        Unable to start ApacheDS 2.0.0-M20



We are unable to start ApacheDS 2.0.0-M20.
 
Following is the error log:
 
STATUS | wrapper  | 2015/06/01 00:39:16 | --> Wrapper Started as Daemon
STATUS | wrapper  | 2015/06/01 00:39:16 | Launching a JVM...
INFO   | jvm 1    | 2015/06/01 00:39:16 | Exception in thread "main" 
java.lang.UnsupportedClassVersionError: 
org/apache/directory/server/wrapper/ApacheDsTanukiWrapper : Unsupported 
major.minor version 51.0
INFO   | jvm 1    | 2015/06/01 00:39:16 |  at 
java.lang.ClassLoader.defineClass1(Native Method)
INFO   | jvm 1    | 2015/06/01 00:39:16 |  at 
java.lang.ClassLoader.defineClass(ClassLoader.java:643)
INFO   | jvm 1    | 2015/06/01 00:39:16 |  at 
java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
INFO   | jvm 1    | 2015/06/01 00:39:16 |  at 
java.net.URLClassLoader.defineClass(URLClassLoader.java:277)
INFO   | jvm 1    | 2015/06/01 00:39:16 |  at 
java.net.URLClassLoader.access$000(URLClassLoader.java:73)
INFO   | jvm 1    | 2015/06/01 00:39:16 |  at 
java.net.URLClassLoader$1.run(URLClassLoader.java:212)
INFO   | jvm 1    | 2015/06/01 00:39:16 |  at 
java.security.AccessController.doPrivileged(Native Method)
INFO   | jvm 1    | 2015/06/01 00:39:16 |  at 
java.net.URLClassLoader.findClass(URLClassLoader.java:205)
INFO   | jvm 1    | 2015/06/01 00:39:16 |  at 
java.lang.ClassLoader.loadClass(ClassLoader.java:323)
INFO   | jvm 1    | 2015/06/01 00:39:16 |  at 
sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:294)
INFO   | jvm 1    | 2015/06/01 00:39:16 |  at 
java.lang.ClassLoader.loadClass(ClassLoader.java:268)
ERROR  | wrapper  | 2015/06/01 00:39:17 | JVM exited while loading the 
application.
INFO   | jvm 1    | 2015/06/01 00:39:17 | Could not find the main class: 
org.apache.directory.server.wrapper.ApacheDsTanukiWrapper. Program will 
exit.
FATAL  | wrapper  | 2015/06/01 00:39:17 | There were 1 failed launches in 
a row, each lasting less than 300 seconds.  Giving up.
FATAL  | wrapper  | 2015/06/01 00:39:17 |   There may be a configuration 
problem: please check the logs.
STATUS | wrapper  | 2015/06/01 00:39:17 | <-- Wrapper Stopped
 
It seems it is due the JDK version. We have JDK 1.6.x.
 
As per 
http://directory.apache.org/apacheds/basic-ug/1.3-installing-and-starting.html 
, it should work with JDK 6 as well.
 
I request you to please confirm which JDK version we require for ApacheDS 
2.0.0-M20.
 
Thanks,
Sunil.

  

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message